#
# spec file for package metacity (Version 2.28.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           metacity
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libcanberra-devel
BuildRequires:  libgtop-devel
BuildRequires:  startup-notification-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  zenity
License:        GPLv2+
Group:          System/GUI/GNOME
Version:        2.28.0
Release:        2.6.1
Summary:        A Fast Window Manager for the GNOME 2.x Desktop
Source:         %{name}-%{version}.tar.bz2
Patch:          metacity-ping-timeout.patch
# PATCH-FIX-OPENSUSE metacity-bnc385553-buggy-intel-xinerama.diff bnc385553 federico@novell.com - Sanitize overlapping (cloned) monitors from Xinerama
Patch11:        metacity-bnc385553-buggy-intel-xinerama.diff
# PATCH-FIX-UPSTREAM metacity-race-autologin.patch bnc555027 bgo600864 sbrabec@suse.cz -- Fix race condition during autologin.
Patch12:        metacity-race-autologin.patch
# PATCH-FIX-UPSTREAM metacity-race-autologin-cleanup.patch bnc555027 bgo600864 sbrabec@suse.cz -- Fix -Werror warning in the previous patch.
Patch13:        metacity-race-autologin-cleanup.patch
# PATCH-FIX-UPSTREAM metacity-session-close.patch bnc555027 bgo604867 sbrabec@suse.cz -- Fix crash race on SIGTERM + session close.
Patch14:        metacity-session-close.patch
# PATCH-FIX-UPSTREAM metacity-sigchld.patch bnc555027 bgo596200 sbrabec@suse.cz -- Fix deadlock race on SIGCHLD.
Patch15:        metacity-sigchld.patch
# PATCH-FIX-UPSTREAM metacity-sigchld-fix.patch bnc555027 bgo596200 sbrabec@suse.cz -- Fix of metacity-sigchld.patch.
Patch16:        metacity-sigchld-fix.patch
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       zenity
Requires:       %{name}-lang = %{version}
Provides:       windowmanager
%gconf_schemas_prereq

%description
Metacity is a fast window manager for the GNOME 2.x Desktop. It can be
seen as an alternative to Sawfish. Many users prefer Metacity because
it integrates well with the GNOME 2.x Desktop.



%package devel
License:        GPLv2+
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}
Requires:       gtk2-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



%lang_package
%prep
%setup -q
translation-update-upstream
%patch -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1

%build
%configure\
	--libexecdir=%{_prefix}/lib/%{name}\
	--disable-static\
	--disable-schemas-install
make %{?jobs:-j%jobs}

%install
%makeinstall
%{__rm} %{buildroot}/%{_libdir}/*.la
%suse_update_desktop_file metacity
%find_lang %{name}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%post -p /sbin/ldconfig

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%postun -p /sbin/ldconfig

%files -f %{name}.lst
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS rationales.txt README
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/applications/metacity.desktop
# Do not depend on libgnome just for a directory
%dir %{_datadir}/gnome
%dir %{_datadir}/gnome/wm-properties
%{_datadir}/gnome/wm-properties/metacity-wm.desktop
%{_datadir}/metacity
%{_datadir}/themes/*
%doc %{_mandir}/man*/*
# Avoid cyclic dependency on control-center
%dir %{_datadir}/gnome-control-center
%dir %{_datadir}/gnome-control-center/keybindings
%{_datadir}/gnome-control-center/keybindings/50-metacity-*key.xml
%doc %{_datadir}/gnome/help/creating-metacity-themes

%files lang -f %{name}.lang
%if %suse_version <= 1110
# exclude locales which don't exist on old versions of openSUSE
%exclude %{_datadir}/locale/ha/LC_MESSAGES/*
%exclude %{_datadir}/locale/ig/LC_MESSAGES/*
%exclude %{_datadir}/locale/la/LC_MESSAGES/*
%endif

%files devel
%defattr (-, root, root)
%{_includedir}/metacity-1
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Jan 26 2010 sbrabec@suse.cz
- Fix a race condition on SIGTERM + session end at once that causes
  crash in gdm and login sometimes never completes
  (bnc#555027, bgo#604867).
- Fix a race condition on SIGCHLD + g_child_watch() that sometimes
  causes deadlocks (bnc#555027, bgo#596200).
* Wed Dec 16 2009 sbrabec@suse.cz
- Fix a race condition that causes that gdm autologin sometimes
  never completes (bnc#555027, bgo#600864).
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Updated translations.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 2.27.1:
  + Unset _NET_SUPPORTING_WM_CHECK when shutting down (bgo#564561)
  + Add a switch to disable autofullscreen'ing maximized windows
    without decorations (bgo#586600)
  + Updated translations.
* Fri May  1 2009 vuntz@novell.com
- Do not depend on libgnome just for a directory ownership -- this
  will help for the build.
- Remove gconf2-devel, orbit2-devel, startup-notification-devel
  Requires from devel package.
- Add rationales.txt to doc files since it's possibly interesting
  to people.
- Do not exclude ha and ig locale files on factory anymore.
* Wed Apr 29 2009 vuntz@novell.com
- Update to version 2.27.0:
  + Remove deprecated GTK symbols (bgo#572332)
  + fix window properties bug which showed up as ignoring struts
    (bgo#572573)
  + include "as <username>" in window title (bgo#549389)
  + Use zenity for dialogues (bgo#521914)
  + Use libcanberra for sound effects (bgo#557921)
  + Don't define meta_spew_event unless verbose mode is on
    (bgo#571126)
  + Fix README to give correct switch names (bgo#571210)
  + Windows which couldn't appear in alt-tab don't get there by
    being urgent
  + Skip the first window in alt-tab only if it's actually current
    (bgo#535887)
  + Optimise line coordinate storage
  + Queue resize on window undecorate
  + Fix description of "show desktop" (bgo#569649)
  + Wrap g_error calls in braces
  + Updated translations
- Add libcanberra-devel, libgtop-devel BuildRequires.
- Remove unneeded libglade2-devel BuildRequires.
- Add zenity Requires.
- Drop metacity-buggy-struts.patch: fixed upstream.
- Do not package .la files.
- Do not package /usr/lib/metacity anymore since the small binary
  there has been removed and zenity is now used instead.
* Mon Mar 23 2009 vuntz@novell.com
- Add metacity-buggy-struts.patch to fix metacity not reading
  struts correctly (ie, windows being put behind the panels).
* Mon Mar 16 2009 mboman@suse.de
- Update to version 2.26.0:
  + queue frame resize on window undecorate
  + fix description of desktop background (bgo#569649)
  + wrap g_error calls in braces
  + Translation updates
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Mon Feb  2 2009 mboman@suse.de
- Update to version 2.25.144:
  + Optimise window property lookup (bgo#549886)
  + Fix slip in the above
  + Several memory leaks fixed (bgo#552303, bgo#552973,
    bgo#552307)
  + Fix longstanding crasher about colourmaps (bgo#568365)
  + Alt+middle/right buttons can be switched (bgo#437910)
  + Support _NET_WM_MOVERESIZE_CANCEL
  + minor fix paving the way for a theme editor
  + Translation updates
* Mon Jan 26 2009 vuntz@novell.com
- On openSUSE <= 11.1, exclude locales unknown to the system.
* Fri Jan 23 2009 vuntz@novell.com
- Minor cleanup, and call %%suse_update_desktop_file on a
  translatable desktop file.
* Mon Dec 29 2008 mboman@suse.de
- Update to version 2.25.89:
  + The maximisation key is a toggle (bgo#343824)
  + "Unmaximise" is now called "restore" (bgo#343824)
  + New thread handling call for gconf (bgo#565517)
  + Add screenshot commands back which had been removed (bgo#565343)
  + move_to_corner_se keybinding fixed
  + Windows on other workspaces which attempt to present themselves
    are marked as needing attention (bgo#482354)
  + End the grab op when the user clicks the titlebar (bgo#401028)
  + Translation updates
* Thu Dec 25 2008 mboman@suse.de
- Update to version 2.25.55:
  + Bugs fixed: bgo#564123, bgo#562939, bgo#549952, bgo#549479, bgo#564123,
    bgo#562939, bgo#562106, bgo#562033, bgo#560990, bgo#561962, bgo#528337,
    bgo#560445, bgo#560449, bgo#445447, bgo#558309, bgo#557943, bgo#558058,
    lp#258054, lp#266929, bgo#557536, bgo#557357, bgo#557337, bgo#553980,
    bgo#528927, bgo#557335, bgo#557201, bgo#469361, bgo#554428, bgo#549479,
    bgo#469361, bgo#549479, bgo#549952, bgo#468075, bgo#549979, bgo#549886,
    bgo#468075, bgo#504692, bgo#524343, bgo#524343.
  + Translation updates
* Thu Oct 30 2008 maw@novell.com
- Provide windowmanager (bnc#440195).
* Tue Sep 23 2008 mboman@suse.de
- Update to version 2.24.0:
  + Small memory leak fixed (bgo#549952)
  + Translation updates
* Wed Sep 17 2008 ro@suse.de
- buildfix: added directory to filelist
* Wed Sep 10 2008 maw@suse.de
- Update to version 2.23.610:
  + .desktop file fixes (bgo#549479)
  + Updated translations.
* Thu Sep  4 2008 mboman@novell.com
- Update to version 2.23.233:
  + Move desktop file according to policy change (bgo#549479)
  + Update default icon to a Tango style pixmap (bgo#548377)
* Fri Aug 29 2008 maw@suse.de
- Update to version 2.23.144:
  + Display theme name in title bar of theme viewer (bgo#430198)
  + Allow toggling of non-compositor effects (bgo#92867)
  + Add some extra null checks (bgo#422242)
  + Check for double-freeing at the time of workspace freeing
    (bgo#361804)
  + Only generate log messages when actually logging
  + Don't consider two windows which don't belong to any
    application as belonging to the same app
  + Fix a memory allocation in struts (probably bgo#468075)
  + Ensure windows which start maximised know where to jump back
    to, so they don't warp to other screens (bgo#504692)
  + Updated translations.
* Fri Jun 20 2008 maw@suse.de
- Update to version 2.23.34:
  + The preview widget can draw shaped windows properly!
  + Refactoring of gconf preferences
  + Bugs fixed: bgo#448183, bgo#106249, bgo#328210, bgo#436257,
    bgo#515019, bgo#515152, bgo#358674, bgo#509165, bgo#530870,
    bgo#517442, bgo#517524, bgo#534569, bgo#528787, bgo#511826,
    bgo#530485, bgo#529925, bgo#526016, bgo#525051, bln#199402,
    bgo#491090, bgo#518596, bgo#499301, bgo#453678, bgo#522166,
    bgo#522599, bgo#505333, bgo#519188, and bgo#474195
  + Updated translations
- Drop an obsolete patche:
  metacity-bnc384159-bgo519188-window-overlaps-itself.diff.
* Mon May 26 2008 federico@novell.com
- Updated metacity-bnc385553-buggy-intel-xinerama.diff for
  https://bugzilla.novell.com/show_bug.cgi?id=385553 - Deal with buggy
  Intel graphics drivers.  Fix an array bounds overrun in the last
  version of the patch.
* Mon May 26 2008 jpr@suse.de
- Revert last patch, it caused major problems (bnc #385553)
* Wed May 21 2008 federico@novell.com
- Added metacity-bnc385553-buggy-intel-xinerama.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=385553 - If there are
  just two overlapping monitors, make Metacity think that there is a
  single big monitor.  This should fix maximized windows on laptops
  with buggy X drivers for Intel graphics chipsets. (bnc#385553)
* Tue May 13 2008 vuntz@suse.de
- Drop metacity-windows-key-binding.patch: change the way we
  activate the main menu with the flag keys. Instead of relying on
  this patch that breaks in some cases (see bnc#372423), we use
  Super_L and Super_R in
  /apps/metacity/global_keybindings/panel_main_menu_list in
  gconf2-branding-$distro.
  This will only work for the people who don't play with the
  meaning of the flag keys, which is a good compromise, IMHO.
  Fix bnc#372423.
- Drop gnome-patch-translation support since it was only required
  for the dropped patch.
* Sat May 10 2008 federico@novell.com
- Added metacity-bnc384159-bgo519188-window-overlaps-itself.diff to
  fix https://bugzilla.novell.com/show_bug.cgi?id=384159 - Fix the
  logic for focus stealing and overlapping windows.
* Tue Apr  1 2008 vuntz@suse.de
- Don't disable compositor in the build.
- Stop using deprecated %%run_ldconfig
* Fri Mar 14 2008 sbrabec@suse.cz
- Set enable_windows_keys to false by default (should be set to
  true in SLED branding).
- Custom look'n'feel gconf keys moved to gconf2-branding-openSUSE.
* Fri Mar 14 2008 maw@suse.de
- Update to version 2.22.0:
  + Updated translations.
* Tue Mar  4 2008 maw@suse.de
- Update to version 2.21.21:
  + Allow shaped windows in the preview widget
  + Updated translations.
* Wed Feb 20 2008 maw@suse.de
- Update to version 2.21.13:
  + Windows on other workspaces which need attention appear in the
    alt-tab list too (bgo#333548)
  + Remove deprecated function call (bgo#512561)
  + New release script
  + Made a start at improving the general number of comments
  + Updated copyright year to 2008, and some other tiny fixes
  + Don't do anything unusual when the compositor frees a window
  + Mapping windows doesn't mark them as damaged
  + Compositor uses the overlay window and not the root window
  + Fixed several list leaks
  + Fixed warnings about printf formats
  + Move source files into subdirectories of the src directory
  + Only use compositor version if we have a compositor
    (bgo#514453)
  + Remove workaround for a problem in an ancient GTK version
    (bgo#513737)
  + Compositor efficiency fixes
  + Various tools added
  + Updated translations
- Respin several patches due to changes metacity's source
  directory layout.
* Wed Dec 19 2007 maw@suse.de
- Update to version 2.21.5:
  + Add --sync option, like all other gtk+ apps
  + Bugs (bugzilla.gnome.org) fixed: #461927, #469682, #486445,
    [#488468] (partial), #480026, #496947, #461927, #501365, #474889,
    [#496054], #112560, #501362, #498033, and #499081
  + As of 2.21.5, metacity has a new compositor; it is enabled
    in this build (via metacity-2.21.5-use-compositing-manager.patch)
  + Updated translations
- Oh the humanity!  Rename metacity-preconf.dif to
  metacity-preconf.patch.
* Mon Sep 17 2007 sbrabec@suse.cz
- Updated to version 2.20.0:
  * prevent a crash on logout with metacity subsequently not being
    restored in future sessions
  * translations update
* Thu Sep 13 2007 maw@suse.de
- Add metacity-disable-window-keys.patch, which disables the
  default binding of the "windows key" on openSUSE (#217044); note
  that future releases of SLES will be unimpacted by this change.
* Thu Aug 30 2007 jpr@suse.de
- Update to 2.19.55
  - Noninteger auto-raise delay is not assumed to be zero (BGO #377491)
  - Fix mangled window title in "Force Quit" (BGO #462734)
  - "Close" can appear at any point in the window menu, and now
  appears at the bottom (BGO #104026)
  - Windows which are always on top have "stick" insensitive
  (BGO #460997)
  - All bitfields in window structure are together for
  optimisation (BGO #450271)
  - Use the correct directory when installing keybindings
  (BGO #454055)
  - Translations
- Keyboard shortcut "Start terminal" missing (#244493)
- Remove unnecessary autoreconf call
- Remove configure arg FIXME
* Wed Aug  8 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage.
* Wed Aug  1 2007 mauro@suse.de
- Update to version 2.19.34
- Bugfixes for: #459027, #449427, #92212, #450271.
* Sun Jul 15 2007 aj@suse.de
- Avoid build cycle with control-center2.
* Fri Jul  6 2007 maw@suse.de
- Update to version 2.19.21
- Numerous bugfixes and translation updates.
* Wed Apr 11 2007 maw@suse.de
- Update to version 2.18.2
- Fixes a bug with missing pixels in themes with rounded corners
- Updated translations for the gl and nb locales.
* Fri Mar 23 2007 maw@suse.de
- Update to version 2.18.0
- b.g.o #408902, #408899, #395560, #382962, and #358715.
* Mon Feb 19 2007 maw@suse.de
- Update to version 2.17.5.
* Wed Feb  7 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Mon Dec 18 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
- Splitted devel subpackage.
* Sun Oct 15 2006 danw@suse.de
- Remove dead patches
- Remove pre-compiz patches for using metacity with xcompmgr under xgl
- Update and re-enable metacity-windows-key-binding.patch (203080)
* Tue Oct  3 2006 jhargadon@suse.de
- update to version 2.16.3
- fix longstanding focus bug with mouse focus (not sloppy focus) and
    popup override redirect windows, such as mozilla's/firefox's
    location bar autocompletion, causing nasty flickering and lost
    keystrokes
- prevent a crash when closing apps run remotely over ssh
- ignore edge resistance for size-increment windows when resizing
    with the keyboard
- automatic detection of stable/unstable in configure script
- make windows be stacked correctly before showing them
- use guint32 for timestamps
- fix stuck grab, letting focus be transferred between windows
- windows returning from fullscreen are constrained to be onscreen
- Clear the transient_for flag of a window after emitting a warning
- Replace copy_of_gdk_x11_window_set_user_time() with the real thing
- translation updates
* Mon Sep 18 2006 danw@suse.de
- remove metacity-2.12.0-border-effects.patch, which is a useless
  deviation from upstream to add a gconf option that probably no one
  even knows exists any more. #203087
* Wed Sep 13 2006 jhargadon@suse.de
- update to version 2.16.0
- updated translations
- Fix the build with c89/gcc 2.95
* Mon Sep 11 2006 jhargadon@suse.de
- added a patch to fix a function that would return random data in
  ui.c
* Wed Aug 30 2006 jhargadon@suse.de
- disabled metacity-windows-key-binding.patch and
  metacity-2.12.0-border-effects-2.patch because of bug #201997
- update to version 2.15.34
- allow moving maximized windows between xineramas again
- fix an uninitialized-usage bug with net_wm_user_time that breaks
  focus with new windows
- re-fix accessibility events for the alt-tab popup
- update the close pixmap to fit better with the other pixmaps of the
  menu
- fix several fullscreen handling bugs I introduced, causing
  fullscreen windows to not actually be shown fullscreen
- fix keybindings with hex-values, coming from special extended
  keyboard keys
- fix metacity-dialog handling of arguments
* Wed Aug 16 2006 jhargadon@suse.de
- update to version 2.15.21
- Add a constrain_titlebar_visible constraint
- remove the infinite edge resistance
- make it so maximized windows do not have rounded corners
- fix the heuristic for determining if windows can be made
  fullscreen
- make sure window features get recalculated when the screen is
  resized
- react to _NET_STARTUP_ID changes
- return the window to maximized state if the window was "shaken
  loose" from maximized state during a resize but the resize is later
  aborted
- fix button lighting with dragged clicks
- don't minimize in response to double clicks on the titlebar when
  minimiziation should not be allowed
- fix some titlebar-not-on-screen constraint issues
- fix a logic bug so that the whole titlebar becomes sensitive to
  mouse clicks
- make mouse cursor when moving windows become a hand
- Fix a crash on exit/logout from assuming a compositor would always
  exist
- prevent long titles from "sticking" in the tasklist
- handle sync counter notifications in the compositor
- prevent a crash when changing resolution
- Add a tabbing function, bound to alt-f6 by default, to cycle
  through the windows of the current application
* Thu Jun 15 2006 jimmyk@suse.de
- Added a keybinding for opening the main-menu when the windows key is pressed,
  BNC #155437.
* Thu Jun  8 2006 danw@suse.de
- Remove xsession desktop file, since metacity alone is useless
  as an xsession. #181814
* Wed May 17 2006 joeshaw@suse.de
- Add patch to turn audible bell off by default.  (bnc #176424)
* Sun Mar  5 2006 dobey@suse.de
- Default to new Gilouche theme
* Sun Feb 19 2006 aj@suse.de
- Reduce BuildRequires.
* Wed Feb 15 2006 gekker@suse.de
- Fix dual-head bug (b.g.o#319423)
* Wed Feb  1 2006 sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 dobey@suse.de
- Use Chlorophyll as the default theme now
* Thu Dec  1 2005 gekker@suse.de
- Update to version 2.12.2
* Thu Oct 13 2005 gekker@suse.de
- Update to version 2.12.1
* Thu Sep 29 2005 gekker@suse.de
- Add patches to metacity to support better support Xgl
* Thu Sep 22 2005 clahey@suse.de
- Switch from 4 desktops to 1.
* Tue Sep  6 2005 gekker@suse.de
- Update to version 2.12.0 (GNOME 2.12)
* Tue Aug 23 2005 gekker@suse.de
- Update to version 2.11.3
* Thu Aug 11 2005 gekker@suse.de
- Update to version 2.11.2
* Tue Aug  2 2005 gekker@suse.de
- Update to version 2.11.1
* Fri Jul 22 2005 gekker@suse.de
- Update to version 2.11.0
- Remove *.*a files from package
* Thu Jul 21 2005 federico@novell.com
- Added metacity-6626-raise-on-click.diff; this adds a boolean GConf
  key called /apps/metacity/general/raise_on_click that controls whether
  windows get raised to the front when a button is pressed on them.  Fixes
  bug #6626.
* Wed Jun 22 2005 gekker@suse.de
- Update to version 2.10.1
* Thu Mar 17 2005 sbrabec@suse.cz
- Disabled metacity's compositing manager (#61691).
* Thu Mar 10 2005 gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Fri Mar  4 2005 gekker@suse.de
- Update to version 2.9.34
* Fri Feb 11 2005 gekker@suse.de
- Update to version 2.9.13
* Thu Feb 10 2005 adrian@suse.de
- install session desktop file
* Sun Feb  6 2005 gekker@suse.de
- Update to version 2.9.8
* Wed Jan 19 2005 clahey@suse.de
- Updated to version 2.9.3.
* Tue Jan  4 2005 gekker@suse.de
- Update to version 2.9.2
* Wed Dec 22 2004 gekker@suse.de
- Update to version 2.9.0
- Remove titlebar-font-setup.patch, included in update.
* Tue Nov 23 2004 ro@suse.de
- fix build on 9.2 (missing so links for libXfixes)
* Tue Nov  2 2004 mmj@suse.de
- Locale rename: no -> nb
* Tue Oct 12 2004 sbrabec@suse.cz
- Fixed libexecdir for bi-arch (#47050).
* Thu Apr 29 2004 hhetter@suse.de
- updated 2.8.0 [GNOME2.6]
* Fri Mar 12 2004 hhetter@suse.de
- default theme to Industrial
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Mon Mar  1 2004 sbrabec@suse.cz
- Allow setting of titlebar font in gnome-font-properties (workaround
  for bug #31388, http://bugzilla.gnome.org/show_bug.cgi?id=104177).
- Disable schemas installation during %%install.
* Wed Feb 25 2004 hhetter@suse.de
- apply metacity-ping-timeout.patch, increase the time
  metacity detects crashed programs
* Thu Feb 12 2004 hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Mon Feb  9 2004 hhetter@suse.de
- updated to version 2.6.3 [GNOME2.4.2]
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Thu Oct  9 2003 sbrabec@suse.cz
- Updated to version 2.6.2 (GNOME 2.4).
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jun 24 2003 sbrabec@suse.cz
- Updated to version 2.4.55.
- Updated neededforbuild.
- Prefix clash fix (wm-properties).
- Fixed directory owhership.
* Thu Mar 13 2003 sbrabec@suse.cz
- Fixed desktop hang for certain transient loops (k3b-setup, bug 24069).
- Allow startup-notification.
* Thu Feb  6 2003 hhetter@suse.de
- updated to version 2.4.34 [GNOME 2.2.0]
* Fri Jan 31 2003 sf@suse.de
- fixed library path for lib64
* Tue Jan 14 2003 hhetter@suse.de
- updated to verion 2.4.13
* Mon Jan  6 2003 sbrabec@suse.cz
- Updated to version 2.4.8.
- Updated %%files.
* Wed Oct 23 2002 hhetter@suse.de
- fix kde datadir
- fix wrong docdir
- updated to version 2.4.2
- FHS fix
* Fri Sep 27 2002 ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Tue Aug 20 2002 hhetter@suse.de
- added PreReq: filesystem
* Mon Aug 12 2002 hhetter@suse.de
- updated to version 2.4.0
- fix filelist for new theme conventions
* Sat Jul 27 2002 adrian@suse.de
- fix neededforbuild
* Fri Jun 14 2002 hhetter@suse.de
- provide schemas
* Mon Jun 10 2002 hhetter@suse.de
- initial SuSE Package
